{% extends 'accountent/base.html' %}
{% load hordak i18n %}

{% block page_name %}{% trans "Reconcile Bank Statements" %}{% endblock %}
{% block page_description %}{% trans "What did you spend money on?" %}{% endblock %}

{% block header_button %}
{% block actions %}
<a href="{% url 'accountent:main' %}" class="btn btn-secondary pull-right">Cancel</a>
{% endblock actions %}
{% endblock header_button %}

{% block content %}
<div id="DataTables_Table_0_wrapper" class="dataTables_wrapper no-footer mb-5">
    <div class="dataTables_length" id="DataTables_Table_0_length"><label>{% trans "Show" %} <select
                name="DataTables_Table_0_length" aria-controls="DataTables_Table_0" class="">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
                <option value="100">100</option>
            </select> {% trans "entries" %}</label></div>
    <div id="DataTables_Table_0_filter" class="dataTables_filter"><label>{% trans "Search" %}:<input type="search" class="" placeholder="" aria-controls="DataTables_Table_0"></label></div>
    <table class="table table-striped transaction-history d-none dataTable no-footer dtr-inline collapsed table table-hover">
        {% block table_header %}
            <thead>
                <tr role="row">
                    <th class="sorting_asc" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Date: activate to sort column descending">{% trans "Date" %}</th>
                    <th class="sorting" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" aria-label="Amount: activate to sort column ascending">{% trans "Amount" %}</th>
                    <th class="sorting" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" aria-label="Description: activate to sort column ascending">{% trans "Description" %}</th>
                    <th class="sorting" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" aria-label="Account: activate to sort column ascending">{% trans "Account" %}</th>
                    <th>{% trans "Actions" %}</th>
                </tr>
            </thead>
        {% endblock table_header %}
        <tbody>
            {% for line in statement_lines %}
                {% block reconcile_row %}
                    <tr id="L{{ line.uuid }}">
                        <td>{{ line.date }}</td>
                        <td>{{ line.amount|color_currency }}</td>
                        <td>{{ line.description }}</td>
                        <td>
                            {% if line.transaction %}
                                <td>
                                    <dl>
                                    {% for leg in line.transaction.legs.all %}
                                        {% if leg.account != line.statement_import.bank_account %}
                                            <dt>{{ leg.account.name }}</dt>
                                            <dd>{{ leg.amount|abs }}</dd>
                                        {% endif %}
                                    {% endfor %}
                                    </dl>
                                </td>
                                <td>
                                <form action="{% url 'hordak:transactions_unreconcile' line.uuid %}" method="post">
                                    {% csrf_token %}
                                    <input type="submit" value="Unreconcile" class="btn btn-default btn-xs">
                                </form>
                                </td>
                            {% elif line != reconcile_line %}
                                <td>
                                <form action="#L{{ line.uuid }}" method="get">
                                    {% csrf_token %}
                                    <input type="hidden" name="reconcile" value="{{ line.uuid }}">
                                    <input type="hidden" name="page" value="{{ page_obj.number }}">
                                    <input type="submit" value="Reconcile" class="btn btn-primary btn-xs">
                                </form>
                                </td>
                            {% endif %}
                        </td>
                    </tr>
                {% endblock reconcile_row %}
                {% if line == reconcile_line %}
                    {% block reconcile_action_row %}
                        <tr>
                            <td colspan="4">
                                {% if leg_formset.non_form_errors %}
                                    <ul>
                                        {% for error in leg_formset.non_form_errors %}
                                        <li class="error">{{ error }}</li>
                                        {% endfor %}
                                    </ul>
                                {% endif %}

                                <form action="" method="post">
                                    {% csrf_token %}
                                    <input type="hidden" name="reconcile" value="{{ line.uuid }}">
                                    <input type="hidden" name="page" value="{{ page_obj.number }}">
                                    {% block reconcile_form_content %}
                                        <table>
                                            {% block reconcile_form_content_transaction_form %}
                                                {{ transaction_form }}
                                            {% endblock %}
                                        </table>
                                        {{ leg_formset.management_form }}
                                        <table class="table table-striped">
                                            {% for form in leg_formset %}
                                                {% block leg_formset %}
                                                    <tr>
                                                        <td>{{ form.amount }}</td>
                                                        <td>{{ form.description }}</td>
                                                        <td>{{ form.account }}</td>
                                                    </tr>
                                                {% endblock %}
                                            {% endfor %}
                                        </table>

                                        <input type="submit" value="Reconcile" class="btn btn-success pull-right">
                                    {% endblock reconcile_form_content %}
                                </form>
                            </td>
                        </tr>
                    {% endblock reconcile_action_row %}
                {% endif %}
            {% empty %}
                <tr>
                    <td colspan="4">
                        {% block nothing_to_reconcile %}Nothing to reconcile, you are up to date{% endblock %}
                    </td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
    <div class="dataTables_info" id="DataTables_Table_0_info" role="status" aria-live="polite">{% trans "Page" %} {{ page_obj.number }}
        entries</div>
    <div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate">
        {% block pagination %}
        {% if page_obj.has_previous %}
        {% if page_obj.number >= 3 %}
        <a href="?page=1" class="paginate_button first" aria-controls="DataTables_Table_0" data-dt-idx="0" tabindex="0" id="DataTables_Table_0_first">
            {% trans "First" %}
        </a>
        {% endif %}
        <a href="?page={{ page_obj.previous_page_number }}" class="paginate_button previous" aria-controls="DataTables_Table_0" data-dt-idx="{{ page_obj.previous_page_number }}" tabindex="{{ object_list.previous_page_number }}" id="DataTables_Table_0_previous">
            {% trans "Previous" %}
        </a>
        {% endif %}
        <span>
        <a class="paginate_button current"
            aria-controls="DataTables_Table_0" data-dt-idx="{{ page_obj.number }}" tabindex="0">
            {{ page_obj.number }}
        </a>
        {% if page_obj.has_next %}
        <span class="ellipsis">
            …
        </span>
        <a href="?page={{ page_obj.paginator.num_pages }}" class="paginate_button " aria-controls="DataTables_Table_0" data-dt-idx="{{ page_obj.paginator.num_pages }}" tabindex="0">
            {{ page_obj.paginator.num_pages }}
        </a>
        </span>
        <a href="?page={{ page_obj.next_page_number }}" class="paginate_button next" aria-controls="DataTables_Table_0" data-dt-idx="{{ page_obj.next_page_number }}" tabindex="0" id="DataTables_Table_0_next">
            {% trans "Next" %}
        </a>
        {% endif %}
        {% endblock %}
    </div>
</div>
{% endblock %}